# Method: guaranteedOrders.list

> [!WARNING]
> Display \& Video 360 API v1 has been sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.ListGuaranteedOrdersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#try-it)

Lists guaranteed orders that are accessible to the current user.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.QUERY_PARAMETERS.order_by` parameter. If a `https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.QUERY_PARAMETERS.filter` by `https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders#GuaranteedOrderStatus.FIELDS.entity_status` is not specified, guaranteed orders with entity status `ENTITY_STATUS_ARCHIVED` will not be included in the results.

### HTTP request

`GET https://displayvideo.googleapis.com/v1/guaranteedOrders`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.ListGuaranteedOrdersResponse.FIELDS.next_page_token` returned from the previous call to `guaranteedOrders.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, `displayName desc`. |
| `filter` | `string` Allows filtering by guaranteed order fields. - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: \* `guaranteedOrderId` \* `exchange` \* `displayName` \* `status.entityStatus` Examples: - All active guaranteed orders: `status.entityStatus="ENTITY_STATUS_ACTIVE"` - Guaranteed orders belonging to Google Ad Manager or Rubicon exchanges: `exchange="EXCHANGE_GOOGLE_AD_MANAGER" OR exchange="EXCHANGE_RUBICON"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |
| Union parameter `accessor`. Required. Identifies which DV360 entity the request is being made within. The LIST request will only return guaranteed order entities that are accessible to the DV360 entity identified within the `accessor`. `accessor` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that has access to the guaranteed order. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that has access to the guaranteed order. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "guaranteedOrders": [ { object (`https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders#GuaranteedOrder`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `guaranteedOrders[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders#GuaranteedOrder`)`` The list of guaranteed orders. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v1/guaranteedOrders/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `guaranteedOrders.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).